%bcond_with bootstrap

Name:           plexus-archiver
Version:        4.9.1
Release:        %mkrel 2
Group:          Development/Java
Epoch:          0
Summary:        Plexus Archiver Component
License:        ASL 2.0
URL:            https://codehaus-plexus.github.io/plexus-archiver
BuildArch:      noarch
#ExclusiveArch:  %%{java_arches} noarch

Source0:        https://github.com/codehaus-plexus/plexus-archiver/archive/plexus-archiver-%{version}.tar.gz

Patch1:         0001-Remove-support-for-snappy.patch
Patch2:         0002-Remove-support-for-zstd.patch

%if %{with bootstrap}
BuildRequires:  javapackages-bootstrap
%else
BuildRequires:  maven-local
BuildRequires:  mvn(com.google.code.findbugs:jsr305)
BuildRequires:  mvn(com.google.inject:guice)
BuildRequires:  mvn(commons-io:commons-io)
BuildRequires:  mvn(javax.inject:javax.inject)
BuildRequires:  mvn(org.apache.commons:commons-compress)
BuildRequires:  mvn(org.assertj:assertj-core)
BuildRequires:  mvn(org.codehaus.plexus:plexus-io)
BuildRequires:  mvn(org.codehaus.plexus:plexus-utils)
BuildRequires:  mvn(org.codehaus.plexus:plexus:pom:)
BuildRequires:  mvn(org.eclipse.sisu:org.eclipse.sisu.inject)
BuildRequires:  mvn(org.eclipse.sisu:sisu-maven-plugin)
BuildRequires:  mvn(org.junit.jupiter:junit-jupiter-api)
BuildRequires:  mvn(org.junit.jupiter:junit-jupiter-params)
BuildRequires:  mvn(org.slf4j:slf4j-api)
BuildRequires:  mvn(org.slf4j:slf4j-simple)
BuildRequires:  mvn(org.tukaani:xz)
%endif

%description
The Plexus project seeks to create end-to-end developer tools for
writing applications. At the core is the container, which can be
embedded or for a full scale application server. There are many
reusable components for hibernate, form processing, jndi, i18n,
velocity, etc. Plexus also includes an application server which
is like a J2EE application server, without all the baggage.

%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
Javadoc for %{name}.

%prep
%setup -q -n %{name}-%{name}-%{version}
%patch -P 1 -p1
%patch -P 2 -p1

%mvn_file :%{name} plexus/archiver

%pom_remove_dep org.iq80.snappy:snappy
rm -r src/main/java/org/codehaus/plexus/archiver/snappy
rm -r src/test/java/org/codehaus/plexus/archiver/snappy
rm src/main/java/org/codehaus/plexus/archiver/tar/SnappyTarFile.java
rm src/main/java/org/codehaus/plexus/archiver/tar/PlexusIoTarSnappyFileResourceCollection.java
rm src/test/java/org/codehaus/plexus/archiver/tar/TarSnappyUnArchiverTest.java

%pom_remove_dep com.github.luben:zstd-jni
rm -r src/main/java/org/codehaus/plexus/archiver/zstd
rm -r src/test/java/org/codehaus/plexus/archiver/zstd
rm src/main/java/org/codehaus/plexus/archiver/tar/ZstdTarFile.java
rm src/main/java/org/codehaus/plexus/archiver/tar/PlexusIoTarZstdFileResourceCollection.java
rm src/main/java/org/codehaus/plexus/archiver/tar/PlexusIoTZstdFileResourceCollection.java
rm src/test/java/org/codehaus/plexus/archiver/tar/TarZstdUnArchiverTest.java

# Fails due to previously removed compressors
rm src/test/java/org/codehaus/plexus/archiver/manager/ArchiverManagerTest.java

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 0:4.9.1-2.mga10
+ Revision: 2223160
- Mageia 10 Mass Rebuild

* Wed May 22 2024 ns80 <ns80> 0:4.9.1-1.mga10
+ Revision: 2065968
- new version 4.9.1 for java 21

* Mon Jul 25 2022 neoclust <neoclust> 0:4.2.7-2.mga9
+ Revision: 1871101
- Disable bootstrap

* Sun Jul 24 2022 neoclust <neoclust> 0:4.2.7-1.mga9
+ Revision: 1870859
- New version 4.2.7
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Tue Mar 02 2021 daviddavid <daviddavid> 0:4.2.4-1.mga9
+ Revision: 1695939
- Update to version 4.2.4

* Thu Aug 20 2020 neoclust <neoclust> 0:4.2.2-1.mga8
+ Revision: 1617066
- New version 4.2.2

* Fri Feb 14 2020 umeabot <umeabot> 0:3.5-3.mga8
+ Revision: 1521769
- Mageia 8 Mass Rebuild

* Tue Jan 01 2019 luigiwalser <luigiwalser> 0:3.5-2.mga7
+ Revision: 1347893
- add patch from fedora to fix CVE-2018-1002200

* Thu Dec 13 2018 neoclust <neoclust> 0:3.5-1.mga7
+ Revision: 1341000
- Non-bootstrap build

* Thu Dec 13 2018 neoclust <neoclust> 0:3.5-0.1.mga7
+ Revision: 1340992
- Downgrade to version 3.5 in bootstrap mode
+ daviddavid <daviddavid>
- new version: 3.6.0 (sync with fc29)

* Wed Sep 19 2018 umeabot <umeabot> 0:3.4-2.mga7
+ Revision: 1274197
- Mageia 7 Mass Rebuild

* Sun May 07 2017 neoclust <neoclust> 0:3.4-1.mga6
+ Revision: 1099562
- new version 3.4
- Second rebuild of the java stack

* Wed Feb 24 2016 neoclust <neoclust> 0:3.0.1-0.2.gitdc873a4.2.mga6
+ Revision: 977758
- First rebuild of the java stack
- sync package plexus-archiver with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Dec 31 2014 pterjan <pterjan> 1:2.4.4-1.mga5
+ Revision: 807761
- Sync with Fedora 21 (update to 2.4.4)

* Wed Oct 15 2014 umeabot <umeabot> 1:2.4.2-5.mga5
+ Revision: 747340
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Jan 03 2014 dmorgan <dmorgan> 1:2.4.2-3.mga4
+ Revision: 564223
- Remove dupplicated changelog
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Sun Sep 29 2013 dmorgan <dmorgan> 1:2.4.2-1.mga4
+ Revision: 488729
- New version

* Mon Jul 08 2013 dmorgan <dmorgan> 1:2.2-4.mga4
+ Revision: 451175
- Add ASL 2.0 license text to packages

* Sun Jan 13 2013 umeabot <umeabot> 1:2.2-3.mga3
+ Revision: 377823
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 03 2012 dmorgan <dmorgan> 1:2.2-2.mga3
+ Revision: 325804
- BuildRequires:  mvn(org.apache.maven.plugins:maven-enforcer-plugin)
- Update to upstream 2.2.

* Wed Jun 20 2012 dmorgan <dmorgan> 1:2.1.1-1.mga3
+ Revision: 262207
- New version 2.1.1

* Sat Jun 02 2012 gil <gil> 1:2.1-1.mga3
+ Revision: 253215
- update to 2.1

* Thu Jan 05 2012 dmorgan <dmorgan> 1:1.2-1.mga2
+ Revision: 191920
- Revert to version 1.2

* Thu Jan 05 2012 dmorgan <dmorgan> 0:2.0.1-4.mga2
+ Revision: 191622
- Skip tests
- Rebuild with new rpm mavan dep generator
- BR maven-surefire-provider-junit4.
- New version 2.0.1

* Fri Dec 23 2011 dmorgan <dmorgan> 0:1.2-2.mga2
+ Revision: 186245
- plexus-maven-plugin removed (not needed) ( From Fedora)

* Wed Jul 20 2011 dmorgan <dmorgan> 0:1.2-1.mga2
+ Revision: 126977
- Update to 1.2.

* Thu Apr 28 2011 dmorgan <dmorgan> 0:1.1-3.mga1
+ Revision: 93010
- Rebuild after bootstrapping
- imported package plexus-archiver


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0:1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Oct 6 2010 Alexander Kurtakov <akurtako@redhat.com> 0:1.1-1
- Update to 1.1.

* Mon Dec 28 2009 Alexander Kurtakov <akurtako@redhat.com> 0:1.0-0.4.a12.4
- Install depmap and pom to override common poms.

* Thu Dec 24 2009 Alexander Kurtakov <akurtako@redhat.com> 0:1.0-0.4.a12.3
- Really ignore test failures.

* Thu Dec 24 2009 Alexander Kurtakov <akurtako@redhat.com> 0:1.0-0.4.a12.2
- Ignore test failures.

* Wed Dec 23 2009 Alexander Kurtakov <akurtako@redhat.com> 0:1.0-0.4.a12.1
- Update to alpha 12.

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0:1.0-0.4.a7.1.2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0:1.0-0.3.a7.1.2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Jul  9 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0:1.0-0.2.a7.1.2
- drop repotag
- fix license tag

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0:1.0-0.2.a7.1jpp.1
- Autorebuild for GCC 4.3

* Fri Jan 04 2008 Deepak Bhole <dbhole@redhat.com> 1.0-0.1.a7.1jpp.1
- Update to alpha 7

* Thu Feb 15 2007 Matt Wrigne <mwringe@redhat.com> - 0:1.0-0.1.a6.1jpp.1
- Fix rpmlint issues
- Version package to new jpp versioning standards
- Remove javadoc post and postun sections

* Mon Jun 19 2006 Deepak Bhole <dbhole@redhat.com> - 0:1.0-0.a6.1jpp
- Upgrade to 1.0-alpha-6

* Wed May 31 2006 Ralph Apel <r.apel at r-apel.de> - 0:1.0-0.a3.2jpp
- First JPP-1.7 release

* Mon Nov 07 2005 Ralph Apel <r.apel at r-apel.de> - 0:1.0-0.a3.1jpp
- First JPackage build
